<?php
/** @noinspection PhpIncludeInspection */
require_once "secrets/config.php";
require_once "lib/navpages.php";
require_once "lib/routing.php";
require_once "lib/config.php";

$routerConfig = array();
$routerRequest = array();

loadRouterConfig();
if(initRouter()) {
    /** @noinspection PhpArrayIsAlwaysEmptyInspection */
    session_set_cookie_params(0, '/', "." . $routerRequest["domain"] . "." . $routerRequest["tld"], true, true);
    session_start();
    /** @noinspection PhpArrayIsAlwaysEmptyInspection */
    echo getPage($routerRequest["page_name"]);
}
else{
    exit();
}

